# List providers Returns a page of providers. Endpoint: GET /providers Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `status` (string) If set, the items will be filtered on providers with the specified status. Enum: "None", "NeedsReview", "ExpiresSoon", "Expired", "Monitored", "NotMonitored", "NotFoundLicenses", "DisciplinaryActionLicenses", "UnableToVerifyLicenses" - `providerName` (string) If set, the items will be filtered on providers with the specified name or alias name. - `credentialingStatus` (array) If set, the items will be filtered on providers with the specified credentialing status. - `providerTypeId` (string) If set, the items will be filtered on providers with the specified provider type. - `npi` (integer) If set, the items will be filtered on providers with the specified npi number. - `deactivated` (boolean) If set, the items will be filtered on providers with the specified deactivated status. - `nextCredentialingDateOnOrAfter` (string) If set, the items will be filtered on providers with the specified next credentialing date that is equal to or greater than the date specified. - `nextCredentialingDateOnOrBefore` (string) If set, the items will be filtered on providers with the specified next credentialing date that is equal to or less than the date specified. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Id", "LastName", "FirstName", "CredentialingStatus", "CredentialedDate" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"Id":"Asc","FirstName":"Asc","LastName":"Asc","CredentialingStatus":"Desc"} - `sort.Keys` (string) Enum: "Id", "LastName", "FirstName", "CredentialingStatus", "CredentialedDate" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The providers in the current page. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","firstName":"string","lastName":"string","dateOfBirth":"2019-08-24T14:15:22.0000000Z","ssn":"***","credentialingStatus":"string","credentialedDate":"2019-08-24T14:15:22.0000000Z","npi":0,"aliases":[{"id":"9b4c12e8-02c5-4107-a524-c02416d43079","firstName":"string","lastName":"string"}],"addresses":[{"id":"e57c9ee4-807d-456a-bf32-623280064ca5","state":"AL","zipCode":"string","city":"string","addressLine1":"string","addressLine2":"string","type":"Unspecified"}],"emails":[{"id":"1d46ecfe-5ce4-4b9c-aaba-3543e15d36d1","email":"string","type":"Unspecified"}],"phone":"string","languages":["string"],"recredentialedDates":["2019-08-24T14:15:22.0000000Z"],"providerType":{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","name":"string"}}] - `items.id` (string) Unique identifier associated with this provider. - `items.firstName` (string, required) The first (given) name associated with this provider. - `items.lastName` (string, required) The last (family) name associated with this provider. - `items.dateOfBirth` (string) The date of birth of this provider. - `items.ssn` (string) The social security number of this provider. - `items.credentialingStatus` (string, required) The name of credentialing status. The default value is 'Data Collection'. - `items.credentialedDate` (string) Date this provider was originally credentialed - `items.nextCredentialingDate` (string) Date this provider should be credentialed next - `items.npi` (integer) The 10 digit National Provider Identifiers (NPI) of this provider. - `items.deactivated` (boolean) If set, the provider is deactivated. Verifications and profile imports can't be triggered for the inactive provider. - `items.deactivatedAt` (string) - `items.aliases` (array) A list of aliases that this provider is also known by. - `items.aliases.firstName` (string) The first (given) name of this alias. - `items.aliases.lastName` (string) The last (family) name of this alias. - `items.aliases.id` (string) Unique identifier for this alias. - `items.primaryPracticeState` (string) The primary practice state of the provider. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.additionalPracticeStates` (array) Additional practice states of the provider. Cannot include the primary practice state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.gender` (string) Provider's gender (optional). Enum: "Unknown", "Male", "Female", "NonBinaryOrThirdGender", "Other", "PreferNotToSay" - `items.ethnicity` (array) Provider's ethnicity (optional). Enum: "AmericanIndianOrAlaskaNative", "Asian", "BlackOrAfricanAmerican", "HispanicOrLatino", "NativeHawaiianOrOtherPacificIslander", "White", "PreferNotToSay", "NoInformationToAnswer" - `items.addresses` (array) If set, the provider's addresses will be updated with this value. To remove the addresses pass an empty array. - `items.addresses.state` (string, required) Abbreviation of the state in which the city is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.addresses.zipCode` (string, required) The postal code associated with the address. - `items.addresses.city` (string, required) The city in which the address is located. - `items.addresses.addressLine1` (string, required) The street address. - `items.addresses.addressLine2` (string) The secondary address information. - `items.addresses.type` (string) The type of address. Enum: "Unspecified", "Home", "Work" - `items.addresses.id` (string) Unique identifier for this address. - `items.emails` (array) If set, the provider's emails will be updated with this value. To remove the emails pass an empty array. - `items.emails.email` (string) The email associated with the provider. - `items.emails.type` (string) The type of the email. Enum: "Unspecified", "Personal", "Work" - `items.emails.id` (string) Unique identifier for this specific email. - `items.phone` (string) Primary phone number associated with this provider - `items.languages` (array) A list of languages, other than English, this provider speaks. - `items.recredentialedDates` (array) A list of dates when this provider was re-credentialed. - `items.providerType` (object) - `items.providerType.id` (string) Unique identifier associated with this provider type. - `items.providerType.name` (string) Associated provider type name. - `items.segment` (object) Example: {"id":"3516a6ba-c998-4bfb-9017-322f8cf63674","name":"acme-corp"} - `items.segment.id` (string) Unique identifier of the segment. Example: "3516a6ba-c998-4bfb-9017-322f8cf63674" - `items.segment.name` (string) Name of the segment. Used for multi-tenant organizations for billing, configuration, and tracking purposes. Example: "acme-corp" - `items.createdAt` (string) Timestamp when this provider was created. - `sortedBy` (string) The property by which the data is sorted. Enum: "Id", "LastName", "FirstName", "CredentialingStatus", "CredentialedDate" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields